%% FUNCIÓN TRANSMISIÓN UFMC
%<TX_UFMC>

%PARÁMETROS DE RETORNO:
%datos: Registro de bits de entrada
%vecConv: Vector convolución

%PARÁMETROS DE INGRESO:
%parametros: Estructura con parámetros de simulación
%tamSub: Tamaño de subbanda
%bGIzq: Banda de guarda izquierda
%bandIdx: Indice consecutivo de banda analizada
%filtroCheb: coeficientes filtro Chebychev

function [datos,vecConv]= TX_UFMC(parametros,tamSub,bGIzq,bandIdx,filtroCheb)

    % Generación Datos
    datos=generacionDatos(2*tamSub);
     
    % Modulación QPSK
    datosQPSK=modQPSK(datos);
    
    %Cálculo IFFT
    vIFFT=calcIFFT_UFMC(parametros,bGIzq,bandIdx,tamSub,datosQPSK);
    
    %Conformación de pulso
    bandFilro = filtroCheb.*exp( 1i*2*pi*(0:parametros.longFiltro-1)'/parametros.tamFFT* ...
                ((bandIdx-1/2)*tamSub+0.5+bGIzq+parametros.tamFFT/2) );
    vecConv= conv(bandFilro,vIFFT);%Vector convolución
 
end

